<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2010 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <vitaly.hohlov@gmail.com>
 * @package Blocks
 */
/**************************************************************************/

/**
 * Серверная сторона AJAX настройки блока "Выбор валюты".
 *
 * <a href="http://wiki.a-cms.ru/blocks/shoplite_valutes">Руководство</a>.
 */

class shoplite_valutes_BlockRequest extends A_Request
{
/**
 * Маршрутизатор действий.
 */

  function Action($action)
  {
    switch($action)
    { case "add": $this->Add(); break;
	  case "edit": $this->Edit(); break;
	}
  }

/**
 * Обработчик действия: Отдает форму добавления.
 */

  function Add()
  {
	$form = new A_Form("block_shoplite_valutes_add.tpl");
	$form->data['structures']=A::$DB->getAssoc("SELECT id,caption FROM ".DOMAIN."_structures WHERE plugin='valutes' ORDER BY sort");
	$this->RESULT['html']=$form->getContent();
  }

/**
 * Обработчик действия: Отдает форму редактирования.
 */

  function Edit()
  {
	$form = new A_Form("block_shoplite_valutes_edit.tpl");
	$block=A::$DB->getRowById($_POST['id'],DOMAIN."_blocks");
	$form->data=!empty($block['params'])?unserialize($block['params']):array();
	$form->data['structures']=A::$DB->getAssoc("SELECT id,caption FROM ".DOMAIN."_structures WHERE plugin='valutes' ORDER BY sort");
	$this->RESULT['html']=$form->getContent();
  }
}

A::$REQUEST = new shoplite_valutes_BlockRequest;